# Install conda
case "$(uname -s)" in
    'Darwin')
        MINICONDA_FILENAME="Miniconda3-latest-MacOSX-x86_64.sh"
        ;;
    'Linux')
        MINICONDA_FILENAME="Miniconda3-latest-Linux-x86_64.sh"
        ;;
    *)  ;;
esac

wget https://repo.continuum.io/miniconda/$MINICONDA_FILENAME -O miniconda.sh
bash miniconda.sh -b -p $HOME/miniconda
export PATH="$HOME/miniconda/bin:$PATH"
conda config --set always_yes yes --set changeps1 no

# Create conda environment
conda create -n test-environment python=$PYTHON_VERSION
source activate test-environment

# Install dependencies.
# TODO: Move dependencies to an environment variable set up in travis.yml.
# TODO: Add pinning for numpy and pandas to test past versions.
conda install --file tests/requirements.txt

# Install lens
pip install -e .
